polybori::groebner::PairLS Class Reference

This class defines PairLS. More...

`#include <PairLS.h>`

## Public Member Functions

int | getType () const
Polynomial | extract (const PolyEntryVector &v)
| PairLS (int i, int j, const PolyEntryVector &v)
| PairLS (int i, idx_type v, const PolyEntryVector &gen, int type)
| PairLS (const Polynomial &delayed)

## Public Attributes

wlen_type | wlen
deg_type | sugar
pair_data_ptr | data
Monomial | lm

## Detailed Description

This class defines PairLS.

## Constructor & Destructor Documentation

polybori::groebner::PairLS::PairLS | ( | int | i,
|  | int | j,
|  | const PolyEntryVector & | v
| ) |  |

inline

References polybori::groebner::IJ_PAIR.

polybori::groebner::PairLS::PairLS | ( | int | i,
|  | idx_type | v,
|  | const PolyEntryVector & | gen,
|  | int | type
| ) |  |

inline

References PBORI_ASSERT, and polybori::groebner::VARIABLE_PAIR.

polybori::groebner::PairLS::PairLS | ( | const Polynomial & | delayed) |  |

inline

## Member Function Documentation

Polynomial polybori::groebner::PairLS::extract | ( | const PolyEntryVector & | v) |  |

inline

int polybori::groebner::PairLS::getType | ( | ) |  | const

inline

## Member Data Documentation

pair_data_ptr polybori::groebner::PairLS::data

Monomial polybori::groebner::PairLS::lm

Referenced by polybori::groebner::PairLSCompare::operator()().

deg_type polybori::groebner::PairLS::sugar

Referenced by polybori::groebner::PairLSCompare::operator()().

wlen_type polybori::groebner::PairLS::wlen

Referenced by polybori::groebner::PairLSCompare::operator()().

The documentation for this class was generated from the following file:

- PairLS.h